#ifndef XFXINTRANGE_H
#define XFXINTRANGE_H

#include "xasset.h"

class XFxIntRange : public XAsset
{
public:
    explicit XFxIntRange();
    ~XFxIntRange();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    int mBase;
    int mAmplitude;
};

#endif // XFXINTRANGE_H
